export declare module types {
    /**
     * Default callback signature.
     */
    interface Callback<T> {
        (error: Error | null | undefined, data?: T): void;
    }
    /**
     * Callback that would only accept errors.
     * @type {[type]}
     */
    type VoidCallback = Callback<void>;
    /**
     * A function that can be called to produce a certain type later.
     */
    interface AsyncProducer<T> {
        (callback: Callback<T>): void;
    }
}
