"use strict"

export module types {

    /**
     * Default callback signature.
     */
    export interface Callback<T> {
        (error: Error | null | undefined, data?: T): void;
    }

    /**
     * Callback that would only accept errors.
     * @type {[type]}
     */
    export type VoidCallback = Callback<void>;


    /**
     * A function that can be called to produce a certain type later.
     */
    export interface AsyncProducer<T> {
        (callback: Callback<T>): void;
    }
}
