export declare module webapis {
    /**
     * Base object going in one direction.
     */
    interface Call {
    }
    /**
     * Base incoming message from clients.
     */
    interface BaseIncoming extends Call {
    }
    /**
     * Authenticated message containing a secret we need to perform
     * certain operations.
     */
    interface AuthenticatedIncoming {
        secret: string;
    }
    /**
     * Base outgoing server response.
     */
    interface BaseOutgoing extends Call {
        _status?: string;
        _reason?: string;
        _raw?: string;
    }
    /**
     * Base OK message.
     * @type {BaseOutgoing}
     */
    const OK: BaseOutgoing;
    /**
     * Customizable FAIL message.
     * @method FAIL
     * @param  {string}       reason  [description]
     * @param  {string}       message [description]
     * @return {BaseOutgoing}         [description]
     */
    function FAIL(reason: string, message: string): BaseOutgoing;
}
